# Class ChangedCharSetException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
javax.swing.text.ChangedCharSetException

All Implemented Interfaces:
  `Serializable`

public class ChangedCharSetException extends IOException
ChangedCharSetException as the name indicates is an exception thrown when the charset is changed.

## Constructor Summary

Constructors
Constructor
Description
`ChangedCharSetException(String charSetSpec, boolean charSetKey)`
Constructs a `ChangedCharSetException`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCharSetSpec()`
Returns the char set specification.
`boolean`
`keyEqualsCharSet()`
Returns the char set key.

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChangedCharSetException

public ChangedCharSetException(String charSetSpec, boolean charSetKey)
Constructs a `ChangedCharSetException`.

Parameters:
  `charSetSpec` - name of the char set specification
  `charSetKey` - char set key

## Method Details

### getCharSetSpec

public String getCharSetSpec()
Returns the char set specification.

Returns:
  the char set specification

### keyEqualsCharSet

public boolean keyEqualsCharSet()
Returns the char set key.

Returns:
  the char set key